package com.example.Models.Types;

import com.example.Models.Values.BooleanValue;
import com.example.Models.Values.IValue;

public class BooleanType implements IType {
    //#region Exposed Methods
    public boolean equals(Object other){
        return other instanceof BooleanType;
    }

    public String toString(){
        return "boolean";
    }

    public IValue defaultValue(){
        return new BooleanValue(false);
    }
}
